Skip to main content

Delete a device password

DELETE 

/nevisidm/api/core/v1/:clientExtId/users/:userExtId/device-password/:extId

Since: 8.2511.0

Required permission(s): AccessControl.CredentialDelete or SelfAdmin Role

Deletes the device password credential with the given external ID belonging to the specified user.

Supports self-admin mode with JWT token validation, allowing a user to delete their own device password credential. When operating in self-admin mode, a valid JWT token must be provided in the request.

Request

Path Parameters

    clientExtId stringrequired

    External ID of the client.

    Example: client-123
    userExtId stringrequired

    External ID of the user.

    Example: user-123
    extId stringrequired

    External ID of the device password credential.

    Example: cred-123

Responses

Device password deleted successfully

Loading...